import uuid
from dataclasses import dataclass


@dataclass(frozen=True)
class Word:
    id: str
    value: str

    @classmethod
    def from_string(cls, string: str):
        return cls(str(uuid.uuid4()), string)
